Download it now!
Bug 89705 - android: Make the hyperlinks clickable
Summary: android: Make the hyperlinks clickable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other Android
: medium normal
Assignee: Siqi LIU
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2015-02-27 04:49 UTC by Jared
Modified: 2015-04-20 08:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jared 2015-02-27 04:49:28 UTC
The More Info screen under Settings has URLS of:
http://libreofficefromcollabora.com/apps/ab-bug

I believe this should be changed to:
https://libreoffice-from-collabora.com/apps/ab-bug
Comment 1 Joel Madero 2015-02-27 05:48:54 UTC
Interesting - both work but I suspect you're right. Marking as NEW.
Comment 2 Jared 2015-02-27 15:05:28 UTC
These hyperlinks are also not clickable for me on my Samsung S4 Active, Android 4.4.2
Comment 3 Michael Meeks 2015-02-27 15:20:14 UTC
Siqi - can you have a look at this one ? ;-) should be rather trivial; thanks.
Comment 4 Jan Holesovsky 2015-02-27 17:18:28 UTC
Well - not too good to report 2 completely different problems in one bug :-(  While the one from comment 0 is a matter of 2 minutes (I just fixed the document that I'm adding to releases, and it will be part of the next release), the one from comment 2 is a more substantial work.

I'm changing the bug to actually address the problem from comment 2.

Siqi - we need to extend LibreOfficeKit to provide areas with the hyperlinks, and also the Java part to actually follow the link when clicked.  Not a prio now, need you to get more familiar with the app code first :-)  Let's sync on IRC when you are done with the swipe.
Comment 5 Jan Holesovsky 2015-03-05 12:35:54 UTC
Just for the record: there's an easier way that will be implemented - LibreOffice (the native part) will consume the click, and callback to the Java part with the URL that will be handled there via an intent.
Comment 6 Jan Holesovsky 2015-04-20 08:17:33 UTC
This is now implemented in master - thanks! :-)  It will appear in the Viewer shortly.